Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 541462 - Review Request: rasmol - Molecular Graphics Visualization Tool
Review Request: rasmol - Molecular Graphics Visualization Tool
Status: CLOSED DUPLICATE of bug 915144
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 523877 545045 545046 545047
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-25 18:32 EST by Carl Byington
Modified: 2013-02-24 23:24 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 14:52:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Byington 2009-11-25 18:32:19 EST
Spec URL: http://www.five-ten-sg.com/rasmol.spec
SRPM URL: http://www.five-ten-sg.com/rasmol-2.7.5-3.fc12.src.rpm
Description: RasMol is an X Window System tool intended for the visualization of
proteins and nucleic acids. It reads Brookhaven Protein Database (PDB)
files and interactively renders them in a variety of formats on either
an 8-bit or 24/32-bit color display.
Comment 1 Carl Byington 2009-11-28 16:46:05 EST
koji scratch build now works.

http://www.five-ten-sg.com/rasmol.spec
http://www.five-ten-sg.com/rasmol-2.7.5-5.fc12.src.rpm
Comment 2 Stefan Riemens 2009-11-29 16:10:12 EST
Just a really quick comment after skimming over the spec:

%{__cp} -a data %buildroot%{_datadir}/%{name}
%{__mv} %buildroot%{_libdir}/%{name}/* %buildroot%{_datadir}/%{name}
%{__install} -D -m 644 src/%{name}.png %buildroot%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

Please use %{buildroot} consistently...

Stefan
Comment 4 Carl Byington 2009-11-30 10:55:19 EST
scratch build koji reference:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1838391
Comment 5 Carl Byington 2009-12-01 00:15:21 EST
http://www.five-ten-sg.com/rasmol.spec
http://www.five-ten-sg.com/rasmol-2.7.5-7.fc12.src.rpm  

changes from ghemical review:
- create desktop file in %%prep
- remove __ macros

http://koji.fedoraproject.org/koji/taskinfo?taskID=1839653
Comment 6 Thomas Spura 2009-12-03 19:37:31 EST
I don't find the relevant section in the guidelines, but I *believe* to remember, that you are not allowed to package 5 packages into this one.

Don't you *have* to package cqrlib, cvector, neartree and cbflib first and at the end rasmol on its own??

As already said, I could be wrong here, but don't think so...
Comment 7 tjyuviaej 2009-12-03 20:15:47 EST
I have RPMs for packages of cqrlib, cvector, neartree and cbflib and they available at
http://t-matsuu.sakura.ne.jp/install-memo/fedora/repoview/

I can fit them to fedora.

After fitting my RPMs to Fedora, I'll create Fedora account and create review process shortly.
Comment 8 Takanori MATSUURA 2009-12-03 20:36:57 EST
Please ignore the account for comment #7.
It's for crash reporter account.

Anyway, I'll make RPMs for Fedora.
Comment 9 Takanori MATSUURA 2009-12-07 07:46:07 EST
Package review of cbflib, cqrlib, cvector, and neartree are filed in bug 545044, bug 545045, bug 545046, and bug 545047 respectively.
Comment 10 Takanori MATSUURA 2009-12-09 07:52:19 EST
For CBFlib, see bug 523877.
Sorry.  I forgot to check it.

I suggest this bug is depended on bug 523877, bug 545045, bug 545046, and bug 545047.
Comment 11 Dmitrij S. Kryzhevich 2010-08-24 07:49:24 EDT
(In reply to comment #10)
> For CBFlib, see bug 523877.
> Sorry.  I forgot to check it.
> 
> I suggest this bug is depended on bug 523877, bug 545045, bug 545046, and bug
> 545047.

If nobody want to continue the work on including rasmol and other packages from list above into Fedora repo I could try to do it (need sponsor but could).
Comment 12 Takanori MATSUURA 2010-08-24 11:30:01 EDT
(In reply to comment #11)
> If nobody want to continue the work on including rasmol and other packages from
> list above into Fedora repo I could try to do it (need sponsor but could).

For dependent packages which are assigned to me, I'm now in training to get sponsor. See bug 545046.
Comment 13 Dmitrij S. Kryzhevich 2010-08-24 21:31:42 EDT
Ah, grate! Waiting rasmol in Fedora repo.
Comment 14 Susi Lehtola 2010-08-25 01:50:31 EDT
(In reply to comment #6)
> I don't find the relevant section in the guidelines, but I *believe* to
> remember, that you are not allowed to package 5 packages into this one.
> 
> Don't you *have* to package cqrlib, cvector, neartree and cbflib first and at
> the end rasmol on its own??
> 
> As already said, I could be wrong here, but don't think so...

Yes, this is explicitly banned in the guidelines:

http://fedoraproject.org/wiki/Packaging/Guidelines#Bundling_of_multiple_projects
http://fedoraproject.org/wiki/Packaging/Guidelines#Duplication_of_system_libraries
Comment 15 Takanori MATSUURA 2010-12-09 06:29:42 EST
Where is the latest Spec and SRPM files?
Comment 16 Chen Lei 2010-12-09 10:21:47 EST
(In reply to comment #15)
> Where is the latest Spec and SRPM files?

CBFlib isn't available in Fedora yet.
Comment 17 Takanori MATSUURA 2010-12-09 10:55:06 EST
I'd like to add GTK2 support for el6 and Fedora 13-15 based on Carl's SRPM because it is reviewed here. However I cannot get spec and SRPM files from www.five-ten-sg.com website.

If Carl doesn't have enough time, I can work.
Comment 18 Carl Byington 2010-12-09 21:11:34 EST
I don't have time to package the four dependencies cqrlib, cvector, neartree and cbflib. I think the cleanest way is to autoconf them, which I did for cqrlib. That same method should work for the other three.

http://www.five-ten-sg.com/cqrlib.spec
http://www.five-ten-sg.com/CQRlib-1.0.6.tar.gz
http://www.five-ten-sg.com/autoconf-files.tar.gz

http://www.five-ten-sg.com/CQRlib-1.0.6-1.fc12.src.rpm
http://www.five-ten-sg.com/rasmol.spec

Once those four are accepted into Fedora, there is not much more to do to get rasmol itself accepted.
Comment 19 Dmitrij S. Kryzhevich 2012-02-27 01:13:03 EST
Ping?
Comment 20 Takanori MATSUURA 2012-02-27 05:50:24 EST
I'll catch up.
Comment 21 Jason Tibbitts 2012-04-24 14:52:40 EDT
No response in some time; I'm going to go ahead and close this.  If someone besides Carl wishes to submit this package, please open your own review ticket.  Thanks.
Comment 22 Dmitrij S. Kryzhevich 2013-02-24 23:24:04 EST

*** This bug has been marked as a duplicate of bug 915144 ***

Note You need to log in before you can comment on or make changes to this bug.